# Reference

<!-- DO NOT EDIT: This document was generated by Puppet Strings -->

## Table of Contents

### Classes

* [`golang`](#golang): Install Go

## Classes

### <a name="golang"></a>`golang`

Download and install Go programming language

#### Examples

##### 

```puppet
include golang
```

#### Parameters

The following parameters are available in the `golang` class:

* [`version`](#-golang--version)
* [`os`](#-golang--os)
* [`arch`](#-golang--arch)
* [`download_dir`](#-golang--download_dir)
* [`extract_dir`](#-golang--extract_dir)
* [`bin_dir`](#-golang--bin_dir)

##### <a name="-golang--version"></a>`version`

Data type: `String`

Version of Go to install

Default value: `'1.22.5'`

##### <a name="-golang--os"></a>`os`

Data type: `String[1]`

The GOOS to install

Default value: `downcase($facts['kernel'])`

##### <a name="-golang--arch"></a>`arch`

Data type: `String[1]`

The GOARCH to install

Default value: `$facts['os']['architecture']`

##### <a name="-golang--download_dir"></a>`download_dir`

Data type: `Stdlib::Absolutepath`

The directory of where to download Go

Default value: `'/tmp'`

##### <a name="-golang--extract_dir"></a>`extract_dir`

Data type: `Stdlib::Absolutepath`

The directory where to extract Go

Default value: `'/opt'`

##### <a name="-golang--bin_dir"></a>`bin_dir`

Data type: `Stdlib::Absolutepath`

The path to bin directory for go and gofmt symlinks

Default value: `'/usr/bin'`

